<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [BaseTask](./bitburner.basetask.md)

## BaseTask interface

Base interface of all tasks.

**Signature:**

```typescript
export interface BaseTask 
```

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [cyclesWorked](./bitburner.basetask.cyclesworked.md) |  | number | The number of game engine cycles has passed since this task started. 1 engine cycle = 200ms. |

